# Copyright 2022, TATA Consultancy Services. All rights reserved.

def Parameter_dictionary():
    
    Param = dict()

    Param['murmur_classes'] = ['Present', 'Absent'] #['Present', 'Unknown', 'Absent']#VS2
    Param['outcome_classes'] = ['Abnormal', 'Normal']
    Param['OriginalSamplingFrequency']      = 4000
    Param['learning_rate']          = 0.001#0.1 #0.001
    Param['loss_function']          = 'binary_crossentropy'#'categorical_crossentropy'
    Param['postprocess']            = 0 # Postprocessing for unknown, 0: No postprocess-Unknown pred/prob = 0
    Param['pediction_decision']     = 1 #1: Majority voting, 2: Median, 3: Mean
    winsize = 4
    Param['winsize'] = winsize
    Param['overlap_window'] = 2
    Param['num_of_segments_in_order'] = 4 * winsize
    
    return Param

