
from scipy.signal import butter, lfilter,resample_poly
def Resampling_factors(True_fs, Target_fs):
    # base case
    if (True_fs == 0):
        return Target_fs
    if (Target_fs == 0):
        return True_fs
    if (True_fs == Target_fs):
        return True_fs
    if (True_fs > Target_fs):
        return Resampling_factors(True_fs-Target_fs, Target_fs)
    return Resampling_factors(True_fs, Target_fs-True_fs)
def Resampling(data,Target_sampling_rate,sample_Fs) :
    # UniformTimelength = Param.get("TimeLength")
    # Target_sampling_rate = Param.get("Uniform_Sampling_Rate")
    DD = Resampling_factors(sample_Fs, Target_sampling_rate)
    up_sampling_factor = int(Target_sampling_rate/DD)
    down_sampling_factor = int(sample_Fs/DD)

    data = resample_poly(data, up_sampling_factor, down_sampling_factor, axis=0)
    return data